Subject: Re: bug#54117: 28.0.91; Upgrading packages not working

From: Po Lu <[email-masked]>
Date: Wed, 23 Feb 2022 19:00:01 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> Here's the list of packages it says are upgradable for me:
>
> 18 matches for "^I" in buffer: *Packages*
>      69:I ada-mode                       7.2.0          available    gnu      major-mode for editing Ada sources
>     240:I auto-dim-other-buffers         20220209.2101  available    melpa    Makes windows without focus less prominent
>    1449:I esxml                          20211122.1657  available    melpa    Library for working with xml via esxml and sxml
>    2778:I js2-mode                       20211229.135   available    melpa    Improved JavaScript editing mode
>    3123:I magit-section                  20220222.1354  available    melpa    Sections for read-only buffers
>    3486:I nov                            20220218.1230  available    melpa    Featureful EPUB reader mode
>    3933:I paredit                        20191121.2328  available    melpa    minor mode for editing parentheses
>    3984:I pdf-tools                      20220214.344   available    melpa    Support library for PDF documents
>    4028:I php-mode                       20220120.1959  available    melpa    Major mode for editing PHP code
>    4136:I powerline                      20220122.1904  available    melpa    Rewrite of Powerline
>    4868:I subed                          1.0.3          available    nongnu   A major mode for editing subtitles
>    4903:I swift-mode                     20211031.543   available    melpa    Major-mode for Apple's Swift programming language
>    4948:I tablist                        20200427.2205  available    melpa    Extended tabulated-list-mode
>    5170:I uni-confusables                0.3            available    gnu      Unicode confusables table
>    5354:I wgrep                          20210322.2207  available    melpa    Writable grep buffer and apply the changes to files
>    5361:I which-key                      20220214.1818  available    melpa    Display available keybindings in popup
>    5395:I wisi                           3.1.7          available    gnu      Utilities for implementing an indentation/navigation engine using a generalized LALR parser
>    5399:I with-editor                    20220211.2034  available    melpa    Use the Emacsclient as $EDITOR

Hmm, thanks.  For me, at least the following packages that should be
upgradable aren't marked for upgrades on my side: ivy-posframe,
posframe, pyim, geiser, and coterm.

In fact, nothing gets marked for upgrades, and I have got quite some
more packages installed, so I suspect some problem in the upgrade
marking process.

(BTW, I don't have MELPA enabled if that's relevant.)